#pragma once

#include "CoreMinimal.h"
#include "Perk.h"
#include "GameplayTagContainer.h"
#include "GameEventData.h"
#include "S08P03.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class THES08_API US08P03 : public UPerk
{
	GENERATED_BODY()

private:
	UFUNCTION()
	void OnHealFromDying(FGameplayTag gameplayTag, const FGameEventData& gameEventData);

public:
	US08P03();
};

FORCEINLINE uint32 GetTypeHash(const US08P03) { return 0; }
